import { IQueryCriteria } from '../query-criteria.interface';
import { ArrayCollection } from 'json2entity';
export interface IFiltersOption {
    key: string;
    value: string | number;
}
export declare class QueryCriteriaFilter implements IQueryCriteria {
    private filters;
    constructor(filters: ArrayCollection<IFiltersOption>);
    getParameters(): string;
    getType(): string;
    getFilters(): ArrayCollection<IFiltersOption>;
}
