import { IQueryCriteria } from '../query-criteria.interface';
import { ArrayCollection } from 'json2entity';
export declare type OperatorType = 'gte' | 'lte' | 'ne' | 'like';
export interface IOperatorOption {
    key: string;
    operator: OperatorType;
    value: string | number;
}
export declare class QueryCriteriaOperator implements IQueryCriteria {
    private operators;
    constructor(operators: ArrayCollection<IOperatorOption>);
    getParameters(): string;
    getType(): string;
    getOperators(): ArrayCollection<IOperatorOption>;
}
