import { IQueryCriteria } from '../query-criteria.interface';
export declare type SortOrderType = 'asc' | 'desc';
export declare class QueryCriteriaSort implements IQueryCriteria {
    private sort;
    private order;
    constructor(sort: string, order?: SortOrderType);
    getParameters(): string;
    getType(): string;
    getSort(): string;
    getOrder(): SortOrderType;
}
